# Setup Accura MRZ

## **To initialize sdk on app start:**

### Setting up License

```
  accura.getMetadata(function (result) {
    if(result.isValid){
      console.log(result)
    }
  }, function (error) {
    alert(error);
  })
```

**Success:** JSON String Response = {**isValid:** boolean, **isMRZEnable:** boolean}

### Setting up Configuration,Error messages and Scaning title messages

```
  setUpConfig: () => {
      //setConfig
      var config = {
         setFaceBlurPercentage: 80,   // 0 for clean face and 100 for Blurry face
         setHologramDetection: true,  // true to check hologram on face
         setLowLightTolerance: 10,    // 0 for full dark document and 100 for full bright document
         setMotionThreshold: 25,      // 1 - allows 1% motion on document and 100 - it can not detect motion and allow document to scan.
         setMinGlarePercentage: 6,    // Set min percentage for glare
         setMaxGlarePercentage: 99,   // Set max percentage for glare
         setBlurPercentage: 60,       //0 for clean document and 100 for Blurry document
        };

      var accuraConfigs = {
        enableLogs: 0,
        isShowLogo: 1,     //To hide Logo pass 0
        isFlipImg: 1,      //To hide flip animation pass 0
        CameraScreen_CornerBorder_Enable: true, //To enable corner border frame pass true
        CameraScreen_Border_Width: 15,
        Disable_Card_Name: false, //To disable taking card name automatically pass true
        CameraScreen_Frame_Color: '#D5323F',  //Pass a Hex Code to change frame color
        CameraScreen_Text_Color: '#FFFFFF',    //Pass a Hex Code to change text color
        CameraScreen_Text_Border_Color: '#000000', //Pass a Hex Code to change text border color
        CameraScreen_Color: '#80000000',  //Pass a Hex Code to change Camera Screen Background color
        CameraScreen_Back_Button: 1,   //Pass 0 to hide back button in iOS
        CameraScreen_Change_Button: 1,   //Pass 0 to hide flip camera button
        ACCURA_ERROR_CODE_MOTION: 'Keep Document Steady',
        ACCURA_ERROR_CODE_DOCUMENT_IN_FRAME: 'Keep document in frame',
        ACCURA_ERROR_CODE_BRING_DOCUMENT_IN_FRAME: 'Bring card near to frame',
        ACCURA_ERROR_CODE_PROCESSING: 'Processing...',
        ACCURA_ERROR_CODE_BLUR_DOCUMENT: 'Blur detect in document',
        ACCURA_ERROR_CODE_FACE_BLUR: 'Blur detected over face',
        ACCURA_ERROR_CODE_GLARE_DOCUMENT: 'Glare detect in document',
        ACCURA_ERROR_CODE_HOLOGRAM: 'Hologram Detected',
        ACCURA_ERROR_CODE_DARK_DOCUMENT: 'Low lighting detected',
        ACCURA_ERROR_CODE_FACE: 'Face not detected',
        ACCURA_ERROR_CODE_MRZ: 'MRZ not detected',
        ACCURA_ERROR_CODE_PASSPORT_MRZ: 'Passport MRZ not detected',
        ACCURA_ERROR_CODE_ID_MRZ: 'ID MRZ not detected',
        ACCURA_ERROR_CODE_VISA_MRZ: 'Visa MRZ not detected',
        ACCURA_ERROR_CODE_UPSIDE_DOWN_SIDE:
          'Document is upside down. Place it properly',
        ACCURA_ERROR_CODE_WRONG_SIDE: 'Scanning wrong side of Document',
      };
    
      var accuraTitleMsg = {
        SCAN_TITLE_MRZ_PDF417_FRONT: 'Scan Front Side of Document',
        SCAN_TITLE_MRZ_PDF417_BACK: 'Scan Back Side of Document',

      };

      accura.setupAccuraConfig(config,accuraConfigs,accuraTitleMsg,
      function success(result){
          console.log(result);
      })
  }
```

***

## Method for scan OCR documents.

```
  startMRZ:()=>{
    //MRZ
    accura.startMRZ(mrzType,function success(result){
      console.log(result);
    },function(error){
    console.log(error);
    });
  }
MRZType: other_mrz or passport_mrz or id_mrz or visa_mrz
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/solutions/mrz/cordova/setup-accura-mrz.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
